Package org.apache.commons.compress.archivers.zip

# Class UnsupportedZipFeatureException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.util.zip.ZipException
org.apache.commons.compress.archivers.zip.UnsupportedZipFeatureException

All Implemented Interfaces:
  `Serializable`

public class UnsupportedZipFeatureException extends ZipException
Exception thrown when attempting to read or write data for a ZIP entry that uses ZIP features not supported by this library.

Since:
  1.1
See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `UnsupportedZipFeatureException.Feature`
  ZIP Features that may or may not be supported.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnsupportedZipFeatureException(UnsupportedZipFeatureException.Feature reason)`
  Creates an exception when the whole archive uses an unsupported feature.
  `UnsupportedZipFeatureException(UnsupportedZipFeatureException.Feature reason, ZipArchiveEntry entry)`
  Creates an exception.
  `UnsupportedZipFeatureException(ZipMethod method, ZipArchiveEntry entry)`
  Creates an exception for archives that use an unsupported compression algorithm.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ZipArchiveEntry`
  `getEntry()`
  The entry using the unsupported feature.
  `UnsupportedZipFeatureException.Feature`
  `getFeature()`
  The unsupported feature that has been used.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnsupportedZipFeatureException

    public UnsupportedZipFeatureException(UnsupportedZipFeatureException.Feature reason)
    Creates an exception when the whole archive uses an unsupported feature.
    Parameters:
      `reason` - the feature that is not supported
    Since:
      1.5

  - ### UnsupportedZipFeatureException

    public UnsupportedZipFeatureException(UnsupportedZipFeatureException.Feature reason, ZipArchiveEntry entry)
    Creates an exception.
    Parameters:
      `reason` - the feature that is not supported
      `entry` - the entry using the feature

  - ### UnsupportedZipFeatureException

    public UnsupportedZipFeatureException(ZipMethod method, ZipArchiveEntry entry)
    Creates an exception for archives that use an unsupported compression algorithm.
    Parameters:
      `method` - the method that is not supported
      `entry` - the entry using the feature
    Since:
      1.5

- ## Method Details

  - ### getEntry

    public ZipArchiveEntry getEntry()
    The entry using the unsupported feature.
    Returns:
      The entry using the unsupported feature.

  - ### getFeature

    public UnsupportedZipFeatureException.Feature getFeature()
    The unsupported feature that has been used.
    Returns:
      The unsupported feature that has been used.